package net.codinux.banking.client.fints4k

import net.codinux.banking.client.BankingClientCallback
import net.codinux.banking.client.BankingClientForCustomerBase
import net.codinux.banking.client.model.AccountCredentials

open class FinTs4kBankingClientForCustomer(credentials: AccountCredentials, callback: BankingClientCallback)
    : BankingClientForCustomerBase(credentials, FinTs4kBankingClient(callback)) {

    constructor(bankCode: String, loginName: String, password: String, callback: BankingClientCallback)
            : this(AccountCredentials(bankCode, loginName, password), callback)

}